defmodule DaProductApp.Repo.Migrations.CreateBrands do
  use Ecto.Migration

  def up do
    execute("""
    CREATE TABLE brands (
      id BIGINT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
      code VARCHAR(255) NOT NULL,
      name VARCHAR(255) NOT NULL,
      description VARCHAR(255),
      default_acquirer VARCHAR(255),
      inserted_at DATETIME NOT NULL,
      updated_at DATETIME NOT NULL
    ) ENGINE=InnoDB
    """)
  end

  def down do
    execute("DROP TABLE IF EXISTS brands")
  end
end
